<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.system.user.dao.mapper.RoleMapper" >
	<resultMap id="BaseResultMap" type="cn.com.ty.lift.system.user.dao.entity.Role" >
		<id column="id" property="id" jdbcType="BIGINT" />
		<result column="name" property="name" jdbcType="VARCHAR" />
		<result column="code" property="code" jdbcType="VARCHAR" />
		<result column="description" property="description" jdbcType="VARCHAR" />
		<result column="company_id" property="companyId" jdbcType="BIGINT" />
		<result column="create_time" property="createTime" jdbcType="TIMESTAMP" />
		<result column="update_time" property="updateTime" jdbcType="TIMESTAMP" />
		<result column="create_user_id" property="createUserId" jdbcType="BIGINT" />
		<result column="update_user_id" property="updateUserId" jdbcType="BIGINT" />
		<result column="delete_flag" property="deleteFlag" jdbcType="INTEGER" />
	</resultMap>

	<sql id="Base_Column_List" >
		id, name, code, description, company_id, create_time, update_time, create_user_id,
		update_user_id, delete_flag
	</sql>

</mapper>